#On the Sweet Spot of Contrastive Views for Knowledge-enhanced Recommendation
___
This is our Pytorch implementation for SimKGCL
## Requirements
___ 
recbole==1.0.1

scipy==1.9.1

torch==1.7.1

python==3.8

##Usage
___ 
- train and test:  
python main.py

## Parameters 
___
- `tau`: the temperature in contrastive learning loss
- `cl_rate`: the contrastive learning loss weight 
- `kg_drop_rate`: the triplet edges drop rate in knowledge graph(KG)
- `ig_drop_rate`: the interaction edges drop rate in interaction graph(IG), 
we only consider the augmentation in the message propagation of KG.



| dataset     | tau |  cl_rate  | kg_drop_rate | ig_drop_rate |
|-------------|-----|:---------:|:------------:|:------------:|
| yelp2018    | 0.2 |    0.5    |     0.7      |     0.6      |
| amazon-book | 0.2 |    0.5    |     0.1      |     0.5      |
| MIND        | 0.2 |   0.05    |     0.9      |     0.3      |


